/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.iexec.common;


import java.util.HashMap;
import java.util.Iterator;
import java.util.List;
import java.util.Map;
import java.util.Vector;
import javax.servlet.http.HttpServletRequest;
import org.apache.logging.log4j.LogManager;
import org.apache.logging.log4j.Logger;
import com.fourelementscapital.db.IExecDB;
import com.fourelementscapital.db.vo.ValueObject;


/**
 * Use lib-db to generate tree menu on iExec
 */

public class IExecMgmt{
	
	private HttpServletRequest request=null;
	private Logger log = LogManager.getLogger(IExecMgmt.class.getName());	

	public IExecMgmt() throws Exception {
		super();

	}

	public Map getTreeViewData() throws Exception {
		
		IExecDB iedb=IExecDB.getIExcecDB();
		
		try{
			HashMap rtn=new HashMap();
			
			iedb.connectDB();			
			
			List glist=iedb.listGroups();
			List folders=iedb.listFolders();
			List strategies=iedb.listStrategies();
			
			Vector groups=new Vector();
			HashMap colors=new HashMap();			
			for(Iterator it=glist.iterator();it.hasNext();){
				Map data=(Map)it.next();
              
				ValueObject vo=new ValueObject();
				vo.setKey((String)data.get("group_uid"));
				vo.setValue((String)data.get("group_name"));
				groups.add(vo);
                colors.put(data.get("group_uid"), data.get("color_code"));
			}
			rtn.put("folders", folders);
			rtn.put("groups",groups);
			rtn.put("group_colors",colors);
			rtn.put("strategies",strategies);
			
			return rtn;
				
		}catch(Exception e){
			throw e;	
		}finally{
			iedb.closeDB();
		}
	}
}