/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.auth;

public class SystemAuthentication {
	
	/**
	 * Get current user logged in Unix system
	 * @return username of user logged in
	 */	
	public static String getCurrentUserLoggedIn() {
		return System.getProperty("user.name");
	}
	
	/**
	 * Check whether a user logged in to the system
	 * @return true if user logged in
	 */	
	public static boolean isUserLoggedIn() {
		return (null != getCurrentUserLoggedIn() && !"".equals(getCurrentUserLoggedIn()));
	}

}

 