/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.util.Map;

/**
 * Abstract class to construct query
 */
public abstract class ConstructQueryDB extends SuperDB{
	
	/**
	 * Connect database 
	 */
	public void connectDB() throws Exception {
		super.connectDB(DB_NAME_BBSYNC);
	}		
	
	/**
	 * Construct date input query
	 * @param rtnobj return object
	 * @return query 
	 */		
	public abstract String constructDateInputQuery(Map rtnobj);
	
	/**
	 * Construct recent query
	 * @param field table field
	 * @param dateQuery date query
	 * @return query 
	 */		
	public abstract String constructRecentQuery(String field, String dateQuery);
	
	/**
	 * Construct queue history query
	 * @param rtnobj return object
	 * @return query 
	 */		
	public abstract String constructQueueHistoryQuery(Map rtnobj);

}

 
