/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.sql.ResultSet;
import java.sql.ResultSetMetaData;
import java.util.HashMap;
import java.util.Map;
import java.util.StringTokenizer;

/**
 * General utility class for database
 */
public class GeneralUtilDB {
	
	/**
	 * Convert resultset to map
	 * @param rs ResultSet
	 * @return map
	 * @throws Exception
	 */	
	public static Map<String, Object> resultsetToMap(ResultSet rs) throws Exception {
		ResultSetMetaData metaData = rs.getMetaData();
		int colCount = metaData.getColumnCount();
		Map<String, Object> row = new HashMap<String, Object>();
		for (int i = 1; i <= colCount; i++) {
			row.put(metaData.getColumnLabel(i), rs.getObject(i));
		}
		return row;
	}	
	
	
	/**
	 * Convert query from MS-SQL
	 * @param sqlquery sql query
	 * @return query
	 */		
	public static String convertFromSQL(String sqlquery){
		
		String rtn=sqlquery;
		if(sqlquery.toUpperCase().contains("BETWEEN") && sqlquery.toUpperCase().contains("GETDATE()") ){
			
			rtn=sqlquery.replace("GETDATE()", "SYSDATE()");
			
		}else if(sqlquery.toUpperCase().contains("DATEADD")) {
		
			StringTokenizer st=new StringTokenizer(sqlquery,",");
			if(st.countTokens()>=3){
				String p1=st.nextToken();
				String p2=st.nextToken();
				String p3=st.nextToken();
				p3=p3.replace(")", "");				
				if(p3.trim().equalsIgnoreCase("current_timestamp")){
					p3="SYSDATE()";
				}
			    StringTokenizer st1=new StringTokenizer(p1,"(");
			    if(st1.countTokens()>=2){
			    	String p2a=st1.nextToken();
			    	String p2b=st1.nextToken();
			    	p2a=p2a.replace("DATEADD", "DATE_ADD");
			    	rtn=p2a+"("+p3+", INTERVAL "+p2+" "+p2b+")";
			    }
			}
			
		}
		return rtn;
	}	

}


 