/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.io.BufferedReader;
import java.io.FileReader;
import java.io.IOException;
import java.util.ArrayList;
import java.util.HashMap;

/**
 * This class contains Static Utility functions
 * @author manas
 *
 */

public class Utils {
	
	private static HashMap<String,String> _config4E;
	
	/**
	 * Accepts an ArrayList of strings and then returns a delimiter separated string
	 * @param al The arraylist of strings
	 * @param delimiter The delimiter
	 * @return The delimiter separated string
	 */
	public static String Join(ArrayList<String> al,String delimiter)
	{
		return al.toString().replaceAll("\\[|\\]", "").replaceAll(", ",delimiter);
	}
	
	
	/**
	 * Gets the variables defined in the global config located at /mnt/public/Libs/.4E.config
	 * @param variable
	 * @return
	 * @throws IOException
	 */
	public static String getConfig4E(String variable) throws IOException
	{
		
		if(_config4E==null) _config4E = new HashMap<String, String>();
		if((_config4E.size()==0))
		{
			
			//FileReader fr = new FileReader("/mnt/public/Libs/.4E.config");
			FileReader fr = new FileReader(Config.getValue("db_config_path"));
			BufferedReader br = new BufferedReader(fr);		
			String s = br.readLine();
			while(s!=null)	
			{
				if(s.startsWith("#") || s.trim().equals("")){
					s = br.readLine();
					continue;
				}				
				String[] splits = s.split("=",2);
				_config4E.put(splits[0].trim(), splits[1].trim().replaceAll("\"", ""));
				s = br.readLine();
			}
		}
		if(_config4E.containsKey(variable.trim()))
			return _config4E.get(variable.trim());
		else return null;				
	}
	
}


 
