/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

import java.io.Serializable;

/**
 * Commodity POJO (Bean)
 */
public class CommodityInfo implements Serializable {

	private static final long serialVersionUID = 1L;
	
	private Long id;
	private String bbticker;
	private String fepricesample;
	private String fetradeunit;
	private String glsample;
	private String glticker;
	private String multiplefactor;
	private String multiplefactorbn;
	private String name;
	private String nepricesample;
	private String netradeunit;
	
	/**
	 * Get multiple factor
	 * @return multiple factor
	 */	
	public String getMultiplefactor() {
		return multiplefactor;
	}
	
	/**
	 * Set multiple factor
	 * @param multiplefactor multiple factor
	 */		
	public void setMultiplefactor(String multiplefactor) {
		this.multiplefactor = multiplefactor;
	}
	
	private String nename;
	private String sector;
	private String units;
	private String commodity;
	
	/**
	 * Get commodity
	 * @return commodity
	 */	
	public String getCommodity() {
		return commodity;
	}
	
	/**
	 * Set commodity
	 * @param commodity commodity
	 */		
	public void setCommodity(String commodity) {
		this.commodity = commodity;
	}
	
	/**
	 * Get id
	 * @return id
	 */	
	public Long getId() {
		return id;
	}
	
	/**
	 * Set id
	 * @param id id
	 */		
	public void setId(Long id) {
		this.id = id;
	}
	
	/**
	 * Get bb ticker
	 * @return bb ticker
	 */	
	public String getBbticker() {
		return bbticker;
	}
	
	/**
	 * Set bb ticker
	 * @param bbticker bb ticker
	 */		
	public void setBbticker(String bbticker) {
		this.bbticker = bbticker;
	}
	
	/**
	 * Get fe price sample
	 * @return fe price sample
	 */	
	public String getFepricesample() {
		return fepricesample;
	}
	
	/**
	 * Set fe price sample
	 * @param fepricesample fe price sample
	 */		
	public void setFepricesample(String fepricesample) {
		this.fepricesample = fepricesample;
	}
	
	/**
	 * Get fe trade unit
	 * @return fe trade unit
	 */	
	public String getFetradeunit() {
		return fetradeunit;
	}
	
	/**
	 * Set fe trade unit
	 * @param fetradeunit fe trade unit
	 */		
	public void setFetradeunit(String fetradeunit) {
		this.fetradeunit = fetradeunit;
	}
	
	/**
	 * Get gl sample
	 * @return gl sample
	 */	
	public String getGlsample() {
		return glsample;
	}
	
	/**
	 * Set gl sample
	 * @param glsample gl sample
	 */		
	public void setGlsample(String glsample) {
		this.glsample = glsample;
	}
	
	/**
	 * Get gl ticker
	 * @return gl ticker
	 */	
	public String getGlticker() {
		return glticker;
	}
	
	/**
	 * Set gl ticker
	 * @param glticker gl ticker
	 */		
	public void setGlticker(String glticker) {
		this.glticker = glticker;
	}
	
	/**
	 * Get multiple factor bn
	 * @return multiple factor bn
	 */	
	public String getMultiplefactorbn() {
		return multiplefactorbn;
	}
	
	/**
	 * Set multiple factor bn
	 * @param multiplefactorbn multiple factor bn
	 */		
	public void setMultiplefactorbn(String multiplefactorbn) {
		this.multiplefactorbn = multiplefactorbn;
	}
	
	/**
	 * Get name
	 * @return name
	 */	
	public String getName() {
		return name;
	}
	
	/**
	 * Set name
	 * @param name name
	 */		
	public void setName(String name) {
		this.name = name;
	}
	
	/**
	 * Get ne price sample
	 * @return ne price sample
	 */	
	public String getNepricesample() {
		return nepricesample;
	}
	
	/**
	 * Set ne price sample
	 * @param nepricesample ne price sample
	 */		
	public void setNepricesample(String nepricesample) {
		this.nepricesample = nepricesample;
	}
	
	/**
	 * Get ne trade unit
	 * @return ne trade unit
	 */	
	public String getNetradeunit() {
		return netradeunit;
	}
	
	/**
	 * Set ne trade unit
	 * @param netradeunit ne trade unit
	 */		
	public void setNetradeunit(String netradeunit) {
		this.netradeunit = netradeunit;
	}
	
	/**
	 * Get ne name
	 * @return ne name
	 */	
	public String getNename() {
		return nename;
	}
	
	/**
	 * Set ne name
	 * @param nename ne name
	 */		
	public void setNename(String nename) {
		this.nename = nename;
	}
	
	/**
	 * Get sector
	 * @return sector
	 */	
	public String getSector() {
		return sector;
	}
	
	/**
	 * Set sector
	 * @param sector sector
	 */		
	public void setSector(String sector) {
		this.sector = sector;
	}
	
	/**
	 * Get units
	 * @return units
	 */	
	public String getUnits() {
		return units;
	}
	
	/**
	 * Set units
	 * @param units units
	 */		
	public void setUnits(String units) {
		this.units = units;
	}
	
}
