/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

/**
 * Flexible field POJO (Bean)
 */
public class FlexiField {

	public final static String TYPE_TEXTBOX			="textbox";
	public final static String TYPE_DROP_DOWNLIST	="dropdown";
	public final static String TYPE_CHECKBOX		="checkbox";
	public final static String TYPE_RADIO			="radio";
	public final static String TYPE_FREETEXT		="textarea";
	public final static String TYPE_HIDDENFIED		="hidden";
	
	public final static String TYPE_RSCRIPTEDITOR   ="rscript";
	public final static String TYPE_RSCRIPTEDITOR_PARAM ="rscript_param";
	public final static String TYPE_RHINOSCRIPTEDITOR   ="rhinoscript";
	
	public final static String TYPE_BLOOMBERG_PLUGGIN="bloomberg_pluggin";
		
	private long id;
	private String fieldlabel;
	private String fieldtype;
	private String fieldoptions;
	private String tablename;
	private String dropdowninitial;
	
	/**
	 * Get dropdown initial
	 * @return dropdown initial
	 */	
	public String getDropdowninitial() {
		return dropdowninitial;
	}
	
	/**
	 * Set dropdown initial
	 * @param dropdowninitial dropdown initial
	 */		
	public void setDropdowninitial(String dropdowninitial) {
		this.dropdowninitial = dropdowninitial;
	}
	
	/**
	 * Get id
	 * @return id
	 */		
	public long getId() {
		return id;
	}
	
	/**
	 * Set id
	 * @param id id
	 */		
	public void setId(long id) {
		this.id = id;
	}
	
	/**
	 * Get field label
	 * @return field label
	 */		
	public String getFieldlabel() {
		return fieldlabel;
	}
	
	/**
	 * Set field label
	 * @param fieldlabel field label
	 */		
	public void setFieldlabel(String fieldlabel) {
		this.fieldlabel = fieldlabel;
	}
	
	/**
	 * Get field type
	 * @return field type
	 */		
	public String getFieldtype() {
		return fieldtype;
	}
	
	/**
	 * Set field type
	 * @param fieldtype field type
	 */			
	public void setFieldtype(String fieldtype) {
		this.fieldtype = fieldtype;
	}
	
	/**
	 * Get field options
	 * @return field options
	 */		
	public String getFieldoptions() {
		return fieldoptions;
	}
	
	/**
	 * Set field options
	 * @param fieldoptions field options
	 */			
	public void setFieldoptions(String fieldoptions) {
		this.fieldoptions = fieldoptions;
	}
	
	/**
	 * Get table name
	 * @return table name
	 */		
	public String getTablename() {
		return tablename;
	}

	/**
	 * Set table name
	 * @param tablename table name
	 */			
	public void setTablename(String tablename) {
		this.tablename = tablename;
	}	
}
