/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db.vo;

import java.io.Serializable;


/**
 * Value object used for various purposes to handle key value peer operations 
 */
public class ValueObject implements Serializable {
	
	private static final long serialVersionUID = 1L;
	
	private String key;
	private String value;
	
	/**
	 * Get key
	 * @return key
	 */	
	public String getKey() {
		return this.key;
	}
	
	/**
	 * Set key
	 * @param key key
	 */	
	public void setKey(String key) {
		this.key = key;
	}
	
	/**
	 * Get value
	 * @return value
	 */	
	public String getValue() {
		return value;
	}
	
	/**
	 * Set value
	 * @param value value
	 */	
	public void setValue(String value) {
		this.value = value;
	}
	
	/**
	 * Overriding equals method to get uniqueness based on the key
	 */
	public boolean equals(Object old){
		ValueObject oldvo=(ValueObject)old;
		if(this.key!=null && oldvo.key!=null && this.key.trim().equals(oldvo.key.trim())){
			return true;
		}else{
			return false;
		}
	}
	
	/**
	 * Overriding toString() method
	 * @return string
	 */		
	public String toString(){		
		return this.key;
	}
	
}
