/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.db;

import java.util.Date;

import junit.framework.TestCase;

import com.fourelementscapital.db.vo.BBSyncTrigger;
import com.fourelementscapital.db.vo.CommodityInfo;
import com.fourelementscapital.db.vo.Contract;
import com.fourelementscapital.db.vo.FlexiField;
import com.fourelementscapital.db.vo.PeerPackage;
import com.fourelementscapital.db.vo.SchedulerTrigger;
import com.fourelementscapital.db.vo.Strategy;
import com.fourelementscapital.db.vo.ValueObject;

public class VOTest extends TestCase {

	/**
	 * Test BBSyncTrigger Setter Getter 
	 */	 	
    public void testBBSyncTriggerSetterGetter()
    {
    	boolean isEquals = true;
    	BBSyncTrigger o = new BBSyncTrigger();
    	o.setDailyhour(1);
    	o.setDay(2);
    	o.setDays("Mon");
    	o.setSynctype(3);
    	o.setTime("time");
    	o.setWeek(4);
    	
    	if (1 != o.getDailyhour()) isEquals = false;
    	if (2 != o.getDay()) isEquals = false;
    	if (!"Mon".equals(o.getDays())) isEquals = false;
    	if (3 != o.getSynctype()) isEquals = false;
    	if (!"time".equals(o.getTime())) isEquals = false;
    	if (4 != o.getWeek()) isEquals = false;

        assertTrue( isEquals );	 
    }	
    
	/**
	 * Test CommodityInfo Setter Getter 
	 */	 	
    public void testCommodityInfoSetterGetter()
    {
    	boolean isEquals = true;
    	CommodityInfo o = new CommodityInfo();
    	o.setBbticker("bbticker");
    	o.setCommodity("commodity");
    	o.setFepricesample("fepricesample");
    	o.setFetradeunit("fetradeunit");
    	o.setGlsample("glsample");
    	o.setGlticker("glticker");
    	o.setId(1L);
    	o.setMultiplefactor("multiplefactor");
    	o.setMultiplefactorbn("multiplefactorbn");
    	o.setName("name");
    	o.setNename("nename");
    	o.setNepricesample("nepricesample");
    	o.setNetradeunit("netradeunit");
    	o.setSector("sector");
    	o.setUnits("units");
    	
    	if (!"bbticker".equals(o.getBbticker())) isEquals = false;
    	if (!"commodity".equals(o.getCommodity())) isEquals = false;
    	if (!"fepricesample".equals(o.getFepricesample())) isEquals = false;
    	if (!"fetradeunit".equals(o.getFetradeunit())) isEquals = false;
    	if (!"glsample".equals(o.getGlsample())) isEquals = false;
    	if (!"glticker".equals(o.getGlticker())) isEquals = false;
    	if (1L != o.getId()) isEquals = false;
    	if (!"multiplefactor".equals(o.getMultiplefactor())) isEquals = false;
    	if (!"multiplefactorbn".equals(o.getMultiplefactorbn())) isEquals = false;
    	if (!"name".equals(o.getName())) isEquals = false;
    	if (!"nename".equals(o.getNename())) isEquals = false;
    	if (!"nepricesample".equals(o.getNepricesample())) isEquals = false;
    	if (!"netradeunit".equals(o.getNetradeunit())) isEquals = false;
    	if (!"sector".equals(o.getSector())) isEquals = false;
    	if (!"units".equals(o.getUnits())) isEquals = false;

        assertTrue( isEquals );	 
    }	
    
	/**
	 * Test Contract Setter Getter 
	 */	 	
    public void testContractSetterGetter()
    {
    	boolean isEquals = true;
    	Date date = new Date();    	
    	Contract o = new Contract();
    	o.setCdate(date);
    	o.setName("name");
    	o.setValue(1.0d);
    	
    	if (date != o.getCdate()) isEquals = false;
    	if (!"name".equals(o.getName())) isEquals = false;
    	if (1.0d != o.getValue()) isEquals = false;

        assertTrue( isEquals );	 
    }	  
    
	/**
	 * Test FlexiField Setter Getter 
	 */	 	
    public void testFlexiFieldSetterGetter()
    {
    	boolean isEquals = true;
    	FlexiField o = new FlexiField();
    	o.setDropdowninitial("dropdowninitial");
    	o.setFieldlabel("fieldlabel");
    	o.setFieldoptions("fieldoptions");
    	o.setFieldtype("fieldtype");
    	o.setId(1L);
    	o.setTablename("tablename");
    	
    	if (!"dropdowninitial".equals(o.getDropdowninitial())) isEquals = false;
    	if (!"fieldlabel".equals(o.getFieldlabel())) isEquals = false;
    	if (!"fieldoptions".equals(o.getFieldoptions())) isEquals = false;
    	if (!"fieldtype".equals(o.getFieldtype())) isEquals = false;
    	if (1.0d != o.getId()) isEquals = false;
    	if (!"tablename".equals(o.getTablename())) isEquals = false;
    	
        assertTrue( isEquals );	 
    }	
    
	/**
	 * Test PeerPackage Setter Getter 
	 */	 	
    public void testPeerPackageSetterGetter()
    {
    	boolean isEquals = true;
    	Date date = new Date();
    	PeerPackage o = new PeerPackage();
    	o.setLastchecked(date);
    	o.setPackagename("packagename");
    	o.setPeername("peername");
    	o.setVersion("version");
    	
    	if (date != o.getLastchecked()) isEquals = false;
    	if (!"packagename".equals(o.getPackagename())) isEquals = false;
    	if (!"peername".equals(o.getPeername())) isEquals = false;
    	if (!"version".equals(o.getVersion())) isEquals = false;

        assertTrue( isEquals );	 
    }	    
 
	/**
	 * Test SchedulerTrigger Setter Getter 
	 */	 	
    public void testSchedulerTriggerSetterGetter()
    {
    	boolean isEquals = true;
    	SchedulerTrigger o = new SchedulerTrigger();
    	o.setExp_day("exp_day");
    	o.setExp_hour("exp_hour");
    	o.setExp_minute("exp_minute");
    	o.setExp_month("exp_month");
    	o.setExp_second("exp_second");
    	o.setExp_week("exp_week");
    	o.setInject_code("inject_code");
    	
    	if (!"exp_day".equals(o.getExp_day())) isEquals = false;
    	if (!"exp_hour".equals(o.getExp_hour())) isEquals = false;
    	if (!"exp_minute".equals(o.getExp_minute())) isEquals = false;
    	if (!"exp_month".equals(o.getExp_month())) isEquals = false;
    	if (!"exp_second".equals(o.getExp_second())) isEquals = false;
    	if (!"exp_week".equals(o.getExp_week())) isEquals = false;
    	if (!"inject_code".equals(o.getInject_code())) isEquals = false;

        assertTrue( isEquals );	 
    }	    
    
	/**
	 * Test Strategy Setter Getter 
	 */	 	
    public void testStrategySetterGetter()
    {
    	boolean isEquals = true;
    	Strategy o = new Strategy();
    	o.setSvalue("svalue");
    	
    	if (!"svalue".equals(o.getSvalue())) isEquals = false;

    	assertTrue( isEquals );	 
    }	    
    
    
	/**
	 * Test ValueObject Setter Getter 
	 */	 	
    public void testValueObjectSetterGetter()
    {
    	boolean isEquals = true;
    	ValueObject o = new ValueObject();
    	o.setKey("key");
    	o.setValue("value");
    	
    	if (!"key".equals(o.getKey())) isEquals = false;
    	if (!"value".equals(o.getValue())) isEquals = false;

    	assertTrue( isEquals );	 
    }	
    
}

 
