/******************************************************************************
*
* Copyright: Intellectual Property of Four Elements Capital Pte Ltd, Singapore.
* All rights reserved.
*
******************************************************************************/

package com.fourelementscapital.imonitor;

import java.util.ArrayList;
import java.util.List;

import junit.framework.Test;
import junit.framework.TestCase;
import junit.framework.TestSuite;
import javax.swing.JOptionPane;

import com.fourelementscapital.imonitor.email.EmailVO;
import com.fourelementscapital.imonitor.email.Email;
import com.fourelementscapital.imonitor.stackalarm.StackAlarmVO;
import com.fourelementscapital.imonitor.stackalarm.StackAlarm;

/**
 * Unit test for App
 */
public class AppTest extends TestCase {

    /**
     * Create the test case
     *
     * @param testName name of the test case
     */
    public AppTest( String testName )
    {
        super( testName );
    }

    /**
     * @return the suite of tests being tested
     */
    public static Test suite()
    {
        return new TestSuite( AppTest.class );
    }

    /**
     * Empty Test
     */
    public void testApp()
    {
        assertTrue( true );
    }
    

    
    /**
     * Test ProcessMessage(). Convert message string to ImonitorVO.
     */
    public void testProcessMessage()
    {    
		StringBuilder sb = new StringBuilder();
		sb.append("theme$#=computing,java");
		sb.append("~subject$#=This is just a test");
		sb.append("~body$#=This is {{{IMG}}} the email body");
		sb.append("~recipients$#=ari@4ecap.com");
		sb.append("~sayIt$#=true");
		sb.append("~emailIt$#=false");
		sb.append("~phoneCall$#=false");
		sb.append("~sms$#=FALSE");
		sb.append("~ym$#=FALSE");
		sb.append("~numbers$#=+65 8297 1508");
		sb.append("~alarmLevel$#=LOW");
		sb.append("<EOF>");
		
		String message = sb.toString();
		
		try {
			IMonitorVO iMonitorVO = IMonitor.processMessage(message);
			if (iMonitorVO.isSayIt()) {
                //JOptionPane.showMessageDialog(null, "IMonitor ProcessMessage done");
				assertTrue(true);
			}
			else {
				assertTrue(false);
			}
		}
		catch(Exception e) {
			e.printStackTrace();
			assertTrue(false);
		}
    }
    


    /**
     * Test Process(). Do email / phone / text to speech according to ImonitorVO value.
     * Remove the comment tag to test. 
     * The code are commented out to prevent phone calling to +6287821107029
     */
    public void testProcess()
    {     
    	/*
    	try {
	    	IMonitorVO iMonitorVO = new IMonitorVO();
	    	List<String> phonenumbersList = new ArrayList<String>();
	    	phonenumbersList.add("+6287821107029");
	    	iMonitorVO.setPhoneNumbers(phonenumbersList);
	    	iMonitorVO.setPhoneIt(true);
	    	iMonitorVO.setSubject("This is just a test");
	    	//IMonitor.process(iMonitorVO);
            //JOptionPane.showMessageDialog(null, "IMonitor phone call done");
	    	assertTrue(true);
    	}
    	catch (Exception e) {
    		e.printStackTrace();
    		assertTrue(false);
    	}
    	*/
    	assertTrue(true);
    } 



    /**
     * Test send email
     * Remove the comment tag to test after set vo.setFromName and vo.setPassword
     * The code are commented out to prevent error when install this library
     */
    public void testSendEmail() {
        try {
            EmailVO vo = new EmailVO();
            vo.setFrom("abc@gmail.com");
            vo.setFromName("abc");
            vo.setPassword("abc2018");

            vo.setSubject("Testing Subject");
            vo.setBody("<strong>Dear GMail</strong>,<br/> This is just a test.");

            ArrayList<String> recipientList = new ArrayList<String>();
            recipientList.add("intan@kronosinvestments.net");
            vo.setRecipient(recipientList);

            ArrayList<String> recipientCCList = new ArrayList<String>();
            recipientCCList.add("cc@gmail.com");
            recipientCCList.add("dd@gmail.com");
            vo.setRecipientCC(recipientCCList);

            ArrayList<String> recipientBCCList = new ArrayList<String>();
            recipientBCCList.add("bcc@gmail.com");
            recipientBCCList.add("bcc2@gmail.com");
            vo.setRecipientBCC(recipientBCCList);

            ArrayList<String> replyToAL = new ArrayList<String>();
            replyToAL.add("replyto@gmail.com");
            replyToAL.add("reply@yahoo.com");
            vo.setReplyTo(replyToAL);

            //ArrayList<String> attachmentList = new ArrayList<String>();
            //attachmentList.add("/home/intan/Documents/test_email.txt");
            //vo.setAttachmentPath(attachmentList);

            //ArrayList<String> imagesList = new ArrayList<String>();
            //imagesList.add("/home/intan/Documents/Selection_020.png");
            //vo.setImages(imagesList);
        
            //Email.send(vo);
            //JOptionPane.showMessageDialog(null, "Email sent succesfully");
            assertTrue(true);
        } catch (Exception e) {
            e.printStackTrace();
            assertTrue(false);
        }
    }


    /**
     * Test parse alarm using StackAlarm
     * Remove the comment tag to test
     * The code are commnted out to prevent collect database data when install this lib 
     */    
    public void testParseMessage()
    {
        try {
            // Remove the comment tag to test. The code are commented out to prevent getting data from database (edit properties file first) :
            //StackAlarmVO stackAlarmVO = StackAlarm.collectRecipients("comp", "HIGH");
            //JOptionPane.showMessageDialog(null, stackAlarmVO);
            assertTrue( true );
        }
        catch (Exception e) {
            e.printStackTrace();
            assertTrue( false );
        }
        
    }   

}

 